#include <iostream>
#include <cmath>
#include <string>

using namespace std;

int main() {
    char c1, c2;
    int a1, a2;
    string res;
    
    cin >> c1 >> c2;
    cin >> a1 >> a2;
    
    if(abs(a1-a2) < 2) {
    	if(a1 > a2) {
    		if (a1 != a2)
    			res += c1;
    		for(int i = 0; i < a2; i++) {
    			res += c2;
				res += c1;
			}
		} else {
			if (a1 != a2)
    			res += c2;
    		for(int i = 0; i < a1; i++) {
    			res += c1;
				res += c2;
			}
		}   	
	} else
		cout << "nemoguce";	
	cout << res;
}